package com.lz.modules.flow.dao;
/**
* <p>
* 业绩详情评分表 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-13
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.modules.flow.entity.ResultScore;
import com.lz.modules.flow.model.ResultScoreDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ResultScoreMapper extends BaseMapper<ResultScore> {


	ResultScore selectResultScoreById(@Param("id")Long id);


	Long insertResultScore(ResultScore resultScore);


	int updateResultScoreById(ResultScore resultScore);


	int updateCoverResultScoreById(ResultScore resultScore);


	int deleteResultScoreById(@Param("id")Long id);


    List<ResultScore> selectResultScoresByDetailId(@Param("id") Long id);

	List<ResultScore> selectResultScoresByDetailIdAndOrderByStaffIds(@Param("id") Long id, @Param("list") List<ResultScoreDto> scoreDtos);

    int deleteResultScoreByDetailId(Long id);

    int setNoEditScoreByDetailId(Long detailId);
}